# $Revision: 1.35 $, $Date: 2011/03/01 06:28:35 $
%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_subclass	Header
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - OO-Interface to modify HTTP-Headers easily
Summary(pl.UTF-8):	%{_pearname} - Obiektowy interfejs do modyfikowania nagłówków HTTP
Name:		php-pear-%{_pearname}
Version:	1.2.1
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	76423e67cb01081c3c3aebb18a8b0831
URL:		http://pear.php.net/package/HTTP_Header/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-HTTP >= 1.3.1
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-HTTP_Header-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides methods to set/modify HTTP-Headers. To abstract
common things, like caching etc. some sub classes are provided that
handle special cases (i.e. HTTP_Header_Cache).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa udostępnia metody do ustawiania/modyfikowania nagłówków HTTP.
Aby wyabstrahować wspólne elementy, takie jak buforowanie itp.,
zostało udostępnionych trochę podklas obsługujących specjalne
przypadki (np. HTTP_Header_Cache).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_Header.spec,v $
Revision 1.35  2011/03/01 06:28:35  glen
- release 2

Revision 1.34  2011/01/23 01:03:14  sparky
- dropped -tests subpackage

Revision 1.33  2010/11/16 08:19:52  glen
- updated to: 1.2.1

Revision 1.32  2010/08/21 19:09:10  glen
- updated deps with pearize.sh
- release 4

Revision 1.31  2008/01/31 12:16:49  glen
- rel 3

Revision 1.30  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.28  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.27  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.26  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.25  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.24  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.23  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.22  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.21  2005/11/21 18:02:50  glen
- 1.2.0

Revision 1.20  2005/10/05 18:31:31  glen
- rel 2

Revision 1.19  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.18  2005/09/26 21:03:57  glen
- 1.1.2

Revision 1.17  2005/09/26 20:49:38  glen
- new pear packaging

Revision 1.16  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.15  2004/11/10 18:31:13  adamg
- updated to 1.1.1

Revision 1.14  2004/08/07 14:33:12  adamg
- updated to 1.1.0

Revision 1.13  2004/08/01 18:07:47  adamg
- updated to 1.0.0

Revision 1.12  2004/07/08 20:04:56  adamg
- updated to 0.3.0

Revision 1.11  2004/06/10 17:46:57  adamg
- updated to 0.2.0

Revision 1.10  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.9  2003/12/29 08:42:49  adamg
- updated to 0.1.6

Revision 1.8  2003/12/10 19:36:38  adamg
- updated to 0.1.5

Revision 1.7  2003/10/07 19:28:21  adamg
- URL unification

Revision 1.6  2003/09/20 01:16:31  adamg
- updated to 0.1.4

Revision 1.5  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.4  2003/05/28 08:58:38  adamg
- massive attack: added source0-md5

Revision 1.3  2003/05/25 06:25:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/02 01:39:19  qboosh
- pl description

Revision 1.1  2003/02/01 16:15:17  blues
- initial, alpha release
